
QGIS Application - Feature request #4365

Add log/ln functions to the field calculator

2011-10-07 08:44 AM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee:

Category: Vectors

Pull Request or Patch supplied:No Resolution: fixed

Easy fix?: No Copied to github as #: 14298

Description

Subject says it all

History

#1 - 2011-10-11 03:52 PM - Martin Dobias

Added in commit:0591288

    -  exponential exp(x)

    -  natural logarithm ln(x) 

    -  common logarithm log10(x)

    -  logarithm with custom base log(b,x)

#2 - 2011-10-11 03:52 PM - Martin Dobias

- Status changed from Open to Closed

- Resolution set to fixed

#3 - 2011-10-24 08:25 AM - Paolo Cavallini

- Resolution deleted (fixed)

- Status changed from Closed to Open

They should be exposed somehow in the GUI, otherwise will remain hidden to the user.

#4 - 2011-10-24 12:31 PM - Martin Dobias

Nathan's new expression builder (developed for expression-based labeling) should be integrated into field calculator dialog - that widget automatically

shows all existing functions.

#5 - 2011-12-16 02:10 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#6 - 2012-04-15 10:09 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#7 - 2012-10-06 02:24 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have
#8 - 2012-12-10 02:11 PM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed
